Bug 243051 - mail/rspamd: use luajit only on amd64 and i386 to fix build on other architectures
Summary: mail/rspamd: use luajit only on amd64 and i386 to fix build on other architec...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-03 10:05 UTC by Piotr Kubaj
Modified: 2020-01-27 21:22 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)
pkubaj: merge-quarterly?


Attachments
patch (584 bytes, patch)
2020-01-03 10:05 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.40 KB, patch)
2020-01-11 20:07 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (vsevolod)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-03 10:05:22 UTC
Created attachment 210410 [details]
patch

Tested to build on powerpc64.
Comment 1 Piotr Kubaj freebsd_committer 2020-01-11 20:07:26 UTC
Created attachment 210635 [details]
v2

Looks like my original patch is wrong, some Lua is needed after all. Since I don't know how to use Luajit on some platforms and Lua on others apart from specifying each one, make an option for it.
Comment 2 commit-hook freebsd_committer 2020-01-27 21:22:26 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jan 27 21:21:33 UTC 2020
New revision: 524446
URL: https://svnweb.freebsd.org/changeset/ports/524446

Log:
  mail/rspamd*: use luajit only on architectures where it's supported

  Otherwise use standard Lua.

  PR:		243051
  Approved by:	vsevolod (maintainer timeout)

Changes:
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile